<?php

/**
 * @file
 * FVL configuration file.
 */

/**
 * Callback for the admin configuration page.
 */
function fvl_admin_settings($form_state) {
  $form['array_filter'] = array('#type' => 'value', '#value' => TRUE);
  $form['fvl_text_for_show'] = array(
    '#type' => 'textfield',
    '#description' => t('Text links the replacement value of the field'),
    '#title' => t('Link "show" text'),
    '#default_value' => variable_get('fvl_text_for_show', 'Show... '),
  );

  $types = node_get_types('names');
  foreach ($types as $k => $v) {
    $result = db_query("
      SELECT field_name, label
      FROM {content_node_field_instance}
      WHERE type_name='%s'", $k);
    while ($field = db_fetch_object($result)) {
      $field_list[$field->field_name] = $field->label . ' (' . $field->field_name . ')';
    }
    if ($field_list) {
      $options = $field_list;
      $form['fvl_node_type_' . $k] = array(
        '#type' => 'checkboxes',
        '#title' => t('Fields for type %type', array('%type' => $v)),
        '#options' => $options,
        '#default_value' => variable_get('fvl_node_type_' . $k, array()),
      );
    }
    unset($field_list);
  }
  return system_settings_form($form);
}
