/**
 * Field Value Loader
 * Dalay - http://www.dupalka.ru, dalay@drupalka.ru
 */
Drupal.behaviors.fvl = function (context) {
    $('a.fvl:not(.processed)', context).bind('click', function () {
        $(this).addClass('processed').hide();
        var splitId = (this.id).split("--");
        var href = Drupal.settings.basePath + 'get/';
        href += $(this).hasClass('forbidden') ? 'forbidden' : splitId[2] + '/' + splitId[0] + '/' + splitId[1];
        $.post(href, {js: 1}, onAjaxSuccess);
        return false;
    });
    onAjaxSuccess = function (response) {
        var result = Drupal.parseJson(response);
        $('a.fvl.processed').replaceWith(result.data).slideDown();
    }
}
